Skip to main content
GET
Show proforma

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Path Parameters

proforma
integer
required

Proforma ID.

Example:

401

Response

Proforma detail.

Proforma.

id
integer
Example:

401

uuid
string
Example:

"6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19"

type
string
Example:

"proforma"

number
string
Example:

"20260001"

webDokladUrl
string<uri>

Absolute URL of the public web document for this proforma.

Example:

"https://app.fintoro.sk/web-doklad/proforma/4f3f8a95-5c4a-4c8b-9e6c-8a0c1a5df3a1"

pdfDownloadUrl
string<uri>

Absolute URL of the Fintoro API endpoint that downloads this proforma PDF as an attachment.

Example:

"https://app.fintoro.sk/api/public/v1/proformas/401/pdf"

company
object

Supplier snapshot stored directly on this document.

clientId
integer

Live ID of the client linked to the proforma.

Example:

101

client
object

Historical client snapshot stored directly on this document.

bankAccount
object

Bank account linked to the proforma as a live relation loaded through soft delete.

payments
object[]

Payments linked to this proforma ordered from newest to oldest.

variableSymbol
integer
Example:

20260001

constantSymbol
integer | null
Example:

308

specificSymbol
integer | null
Example:

55

issueDate
string<date>
Example:

"2026-03-03"

dueDate
string<date>
Example:

"2026-03-17"

businessCaseId
integer | null

Optional business case ID. When sent, it must belong to the client selected on the document.

Example:

701

discountType
string | null
Example:

"percentage"

discountValue
number<float> | null
Example:

10

transferTaxLiability
boolean
Example:

false

numericalSeriesId
integer | null
Example:

12

deliveryMethodId
integer

Delivery method ID from the delivery method reference table.

Example:

1

paymentMethodId
integer

Payment method ID from the payment method reference table.

Example:

1

currencyId
integer

Currency ID from the currency reference table.

Example:

1

languageId
integer

Language ID from the language reference table.

Example:

1

qrTypeId
integer

QR type ID from the QR type reference table.

Example:

1

note
string | null
Example:

"Thank you for your order."

textAboveItems
string | null
Example:

"Thank you for working with us."

itemsTotal
number<float>
Example:

200

itemsTotalWithVat
number<float>
Example:

240

alreadyPaid
number<float>
Example:

0

total
number<float>
Example:

200

totalWithVat
number<float>
Example:

240

toBePaid
number<float>
Example:

240

willBePaid
boolean
Example:

true

status
enum<string>
Available options:
paid,
unpaid,
partially_paid,
overdue,
will_not_be_paid
Example:

"unpaid"

hasVat
boolean
Example:

true

items
object[]